==> Creating clean working copy [build]...done
==> Making package: haka 0.3.0-2 (Fri Mar 24 05:23:19 UTC 2017)
==> Retrieving sources...
  -> Found haka-0.3.0.tar.gz
  -> Found fix-32bit-build.patch
  -> Found missing-return.patch
  -> Found unused-arg.patch
==> Validating source files with sha512sums...
    haka-0.3.0.tar.gz ... Passed
    fix-32bit-build.patch ... Passed
    missing-return.patch ... Passed
    unused-arg.patch ... Passed
==> Making package: haka 0.3.0-2 (Fri Mar 24 05:23:20 UTC 2017)
==> Checking runtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...

Packages (28) c-ares-1.12.0-1  dbus-1.10.16-1  geoip-1.6.9-1  geoip-database-20170307-1  hwids-20161103-1  iptables-1.6.0-1  kbd-2.0.4-1  kmod-24-1  libelf-0.168-1  libmnl-1.0.4-1  libnfnetlink-1.0.1-2  libnftnl-1.0.7-1  libnl-3.2.29-2  libpcap-1.8.1-2  libseccomp-2.3.2-1  libssh-0.7.4-2  libusb-1.0.21-1  lua52-5.2.4-2  popt-1.16-8  systemd-232-8  capstone-3.0.4-4  iniparser-4.0-2  libedit-20160903_3.1-1  libnetfilter_queue-1.0.2-2  lua-5.3.4-1  luajit-git-v2.1.0.beta2.r172.gd3e36e7-1  rsync-3.1.2-2  wireshark-cli-2.2.5-1

Total Download Size:     0.74 MiB
Total Installed Size:  131.79 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
downloading rsync-3.1.2-2-aarch64.pkg.tar.xz...
downloading iniparser-4.0-2-aarch64.pkg.tar.xz...
downloading libnfnetlink-1.0.1-2-aarch64.pkg.tar.xz...
downloading libnetfilter_queue-1.0.2-2-aarch64.pkg.tar.xz...
downloading lua-5.3.4-1-aarch64.pkg.tar.xz...
downloading luajit-git-v2.1.0.beta2.r172.gd3e36e7-1-aarch64.pkg.tar.xz...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing c-ares...
installing geoip-database...
installing geoip...
Optional dependencies for geoip
    geoip-database-extra: city/ASN databases (not needed for country lookups)
installing libnl...
installing dbus...
installing libmnl...
installing libnftnl...
installing iptables...
installing kbd...
installing kmod...
installing hwids...
installing libelf...
installing libseccomp...
installing systemd...
warning: directory permissions differ on /var/log/journal/
filesystem: 755  package: 2755
Creating group systemd-coredump with gid 999.
Creating user systemd-coredump (systemd Core Dumper) with uid 999 and gid 999.
Creating group systemd-journal-remote with gid 998.
Creating user systemd-journal-remote (systemd Journal Remote) with uid 998 and gid 998.
Creating group systemd-journal-upload with gid 997.
Creating user systemd-journal-upload (systemd Journal Upload) with uid 997 and gid 997.
Created symlink /etc/systemd/system/getty.target.wants/getty@tty1.service -> /usr/lib/systemd/system/getty@.service.
Created symlink /etc/systemd/system/multi-user.target.wants/remote-fs.target -> /usr/lib/systemd/system/remote-fs.target.
:: Append 'init=/usr/lib/systemd/systemd' to your kernel command line in your
   bootloader to replace sysvinit with systemd, or install systemd-sysvcompat
Optional dependencies for systemd
    cryptsetup: required for encrypted block devices
    libmicrohttpd: remote journald capabilities
    quota-tools: kernel-level quota management
    systemd-sysvcompat: symlink package to provide sysvinit binaries
    polkit: allow administration as unprivileged user
installing libusb...
installing libpcap...
installing lua52...
installing libssh...
installing wireshark-cli...
NOTE: To run wireshark as normal user you have to add yourself into wireshark group
installing popt...
installing rsync...
installing iniparser...
installing libnfnetlink...
installing libnetfilter_queue...
installing libedit...
installing lua...
installing capstone...
installing luajit-git...
:: Running post-transaction hooks...
(1/4) Updating udev hardware database...
(2/4) Updating system user accounts...
(3/4) Creating temporary files...
(4/4) Arming ConditionNeedsUpdate...
==> Checking buildtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...

Packages (28) jsoncpp-1.8.0-1  libuv-1.11.0-1  libxml2-2.9.4+12+ge905f081-5  python2-2.7.13-1  python2-appdirs-1.4.3-1  python2-babel-2.3.4-2  python2-chardet-2.3.0-4  python2-docutils-0.13.1-2  python2-imagesize-0.7.1-2  python2-jinja-2.9.5-1  python2-markupsafe-1.0-1  python2-packaging-16.8-2  python2-pygments-2.2.0-1  python2-pyparsing-2.2.0-1  python2-pytz-2016.10-2  python2-requests-2.13.0-1  python2-setuptools-1:34.3.2-1  python2-six-1.10.0-3  python2-snowballstemmer-1.2.1-2  python2-sphinx-alabaster-theme-0.7.10-1  python2-sphinx_rtd_theme-0.2.4-1  python2-urllib3-1.20-1  shared-mime-info-1.8-1  check-0.11.0-1  cmake-3.7.2-1  doxygen-1.8.13-1  python2-sphinx-1.5.3-1  swig-3.0.12-1

Total Download Size:     4.52 MiB
Total Installed Size:  182.72 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
downloading swig-3.0.12-1-aarch64.pkg.tar.xz...
downloading doxygen-1.8.13-1-aarch64.pkg.tar.xz...
downloading check-0.11.0-1-aarch64.pkg.tar.xz...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing libxml2...
installing shared-mime-info...
installing jsoncpp...
Optional dependencies for jsoncpp
    jsoncpp-doc: documentation
installing libuv...
installing cmake...
Optional dependencies for cmake
    qt5-base: cmake-gui
    libxkbcommon-x11: cmake-gui
installing swig...
installing doxygen...
Optional dependencies for doxygen
    graphviz: for caller/callee graph generation
    qt5-base: for doxywizard
installing python2...
Optional dependencies for python2
    tk: for IDLE
    python2-setuptools [pending]
    python2-pip
installing python2-pyparsing...
installing python2-six...
installing python2-packaging...
installing python2-appdirs...
installing python2-setuptools...
installing python2-markupsafe...
installing python2-jinja...
installing python2-pygments...
installing python2-docutils...
installing python2-sphinx_rtd_theme...
installing python2-sphinx-alabaster-theme...
installing python2-pytz...
installing python2-babel...
installing python2-snowballstemmer...
Optional dependencies for python2-snowballstemmer
    python2-pystemmer: for improved performance
installing python2-imagesize...
installing python2-urllib3...
Optional dependencies for python2-urllib3
    python2-pysocks: SOCKS support
installing python2-chardet...
installing python2-requests...
Optional dependencies for python2-requests
    python2-ndg-httpsclient: HTTPS requests with SNI support
    python2-grequests: asynchronous requests with gevent
    python2-pysocks: SOCKS proxy support
installing python2-sphinx...
Optional dependencies for python2-sphinx
    texlive-latexextra: for generation of PDF documentation
installing check...
:: Running post-transaction hooks...
(1/3) Arming ConditionNeedsUpdate...
(2/3) Updating the info directory file...
(3/3) Updating the MIME type database...
==> Retrieving sources...
  -> Found haka-0.3.0.tar.gz
  -> Found fix-32bit-build.patch
  -> Found missing-return.patch
  -> Found unused-arg.patch
==> WARNING: Skipping verification of source file PGP signatures.
==> Validating source files with sha512sums...
    haka-0.3.0.tar.gz ... Passed
    fix-32bit-build.patch ... Passed
    missing-return.patch ... Passed
    unused-arg.patch ... Passed
==> Extracting sources...
  -> Extracting haka-0.3.0.tar.gz with bsdtar
==> Starting prepare()...
patching file lib/haka/CMakeLists.txt
patching file lib/haka/lua/vbuffer.si
patching file src/haka/ctl.c
==> Starting build()...
-- The C compiler identification is GNU 6.3.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Build system: Linux aarch64
-- Build version: 0.3.0
-- Build configuration (BUILD): Release
-- Could NOT find LCov (missing:  LCOV_EXECUTABLE) 
-- Found SWIG: /usr/bin/swig (found suitable version "3.0.12", minimum required is "2") 
-- Installation prefix (CMAKE_INSTALL_PREFIX): /usr
-- Lua version (LUA): luajit
-- Found Rsync: /usr/bin/rsync  
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian
-- Check size of short
-- Check size of short - done
-- Check size of int
-- Check size of int - done
-- Check size of long
-- Check size of long - done
-- Check size of long long
-- Check size of long long - done
-- Found Iniparser: /usr/lib/libiniparser.so  
-- Found LibCapstone: /usr/lib/libcapstone.so  
-- Found Sphinx: /usr/bin/sphinx-build2  
-- Found Doxygen: /usr/bin/doxygen (found version "1.8.13") 
-- Could NOT find Inkscape (missing:  INKSCAPE_EXECUTABLE) 
-- Could NOT find Blockdiag (missing:  BLOCKDIAG_EXECUTABLE) 
-- Could NOT find Seqdiag (missing:  SEQDIAG_EXECUTABLE) 
-- Could NOT find Actdiag (missing:  ACTDIAG_EXECUTABLE) 
-- Could NOT find Packetdiag (missing:  PACKETDIAG_EXECUTABLE) 
Images not generated (Inkscape missing)
Images not generated (Seqdiag missing)
Images not generated (Blockdiag missing)
-- Could NOT find Jansson (missing:  JANSSON_LIBRARY JANSSON_INCLUDE_DIR) 
-- Found LibCurl: /usr/lib/libcurl.so  
-- Found LibUuid: /usr/lib/libuuid.so  
-- Not building module elasticsearch (missing libraries)
-- Found LibGeoIP: /usr/lib/libGeoIP.so  
-- Found PCAP: /usr/lib/libpcap.so  
-- Found NetFilterQueue: /usr/lib/libnetfilter_queue.so  
-- Performing Test NFQ_GET_PAYLOAD_UNSIGNED_CHAR
-- Performing Test NFQ_GET_PAYLOAD_UNSIGNED_CHAR - Success
-- Found Check: /usr/lib/libcheck.so;rt;m;-lpthread  
-- Found PCRE: /usr/lib/libpcre.so  
-- Found DL: /usr/lib/libdl.so  
-- Found Editline: /usr/lib/libedit.so  
-- Could NOT find Cppcheck (missing:  CPPCHECK_EXECUTABLE) 
-- Configuring done
-- Generating done
-- Build files have been written to: /build/haka/src/haka_0.3.0_source/make
Scanning dependencies of target luajit-sync
[  0%] Built target luajit-sync
Scanning dependencies of target luajit
[  1%] Generating external/luajit/src/cmake.build
lj_arch.h:55:2: error: #error "No support for this architecture (yet)"
 #error "No support for this architecture (yet)"
  ^~~~~
lj_arch.h:279:2: error: #error "No target architecture defined"
 #error "No target architecture defined"
  ^~~~~
lj_arch.h:55:2: error: #error "No support for this architecture (yet)"
 #error "No support for this architecture (yet)"
  ^~~~~
lj_arch.h:279:2: error: #error "No target architecture defined"
 #error "No target architecture defined"
  ^~~~~
lj_arch.h:55:2: error: #error "No support for this architecture (yet)"
 #error "No support for this architecture (yet)"
  ^~~~~
lj_arch.h:279:2: error: #error "No target architecture defined"
 #error "No target architecture defined"
  ^~~~~
lj_arch.h:55:2: error: #error "No support for this architecture (yet)"
 #error "No support for this architecture (yet)"
  ^~~~~
lj_arch.h:279:2: error: #error "No target architecture defined"
 #error "No target architecture defined"
  ^~~~~
lj_arch.h:55:2: error: #error "No support for this architecture (yet)"
 #error "No support for this architecture (yet)"
  ^~~~~
lj_arch.h:279:2: error: #error "No target architecture defined"
 #error "No target architecture defined"
  ^~~~~
lj_arch.h:55:2: error: #error "No support for this architecture (yet)"
 #error "No support for this architecture (yet)"
  ^~~~~
lj_arch.h:279:2: error: #error "No target architecture defined"
 #error "No target architecture defined"
  ^~~~~
Makefile:231: *** Unsupported target architecture.  Stop.
make[3]: *** [Makefile:147: clean] Error 2
make[2]: *** [CMakeFiles/luajit.dir/build.make:62: external/luajit/src/cmake.build] Error 2
make[1]: *** [CMakeFiles/Makefile2:228: CMakeFiles/luajit.dir/all] Error 2
make: *** [Makefile:161: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> Removing installed dependencies...
checking dependencies...
:: glib2 optionally requires libelf: gresource inspection tool

Packages (56) c-ares-1.12.0-1  capstone-3.0.4-4  check-0.11.0-1  cmake-3.7.2-1  dbus-1.10.16-1  doxygen-1.8.13-1  geoip-1.6.9-1  geoip-database-20170307-1  hwids-20161103-1  iniparser-4.0-2  iptables-1.6.0-1  jsoncpp-1.8.0-1  kbd-2.0.4-1  kmod-24-1  libedit-20160903_3.1-1  libelf-0.168-1  libmnl-1.0.4-1  libnetfilter_queue-1.0.2-2  libnfnetlink-1.0.1-2  libnftnl-1.0.7-1  libnl-3.2.29-2  libpcap-1.8.1-2  libseccomp-2.3.2-1  libssh-0.7.4-2  libusb-1.0.21-1  libuv-1.11.0-1  libxml2-2.9.4+12+ge905f081-5  lua-5.3.4-1  lua52-5.2.4-2  luajit-git-v2.1.0.beta2.r172.gd3e36e7-1  popt-1.16-8  python2-2.7.13-1  python2-appdirs-1.4.3-1  python2-babel-2.3.4-2  python2-chardet-2.3.0-4  python2-docutils-0.13.1-2  python2-imagesize-0.7.1-2  python2-jinja-2.9.5-1  python2-markupsafe-1.0-1  python2-packaging-16.8-2  python2-pygments-2.2.0-1  python2-pyparsing-2.2.0-1  python2-pytz-2016.10-2  python2-requests-2.13.0-1  python2-setuptools-1:34.3.2-1  python2-six-1.10.0-3  python2-snowballstemmer-1.2.1-2  python2-sphinx-1.5.3-1  python2-sphinx-alabaster-theme-0.7.10-1  python2-sphinx_rtd_theme-0.2.4-1  python2-urllib3-1.20-1  rsync-3.1.2-2  shared-mime-info-1.8-1  swig-3.0.12-1  systemd-232-8  wireshark-cli-2.2.5-1

Total Removed Size:  314.50 MiB

:: Do you want to remove these packages? [Y/n] 
:: Running pre-transaction hooks...
(1/1) Removing old entries from the info directory file...
:: Processing package changes...
removing wireshark-cli...
removing swig...
removing rsync...
removing python2-sphinx...
removing python2-sphinx_rtd_theme...
removing python2-sphinx-alabaster-theme...
removing python2-snowballstemmer...
removing python2-requests...
removing python2-urllib3...
removing python2-pygments...
removing python2-jinja...
removing python2-markupsafe...
removing python2-imagesize...
removing python2-docutils...
removing python2-chardet...
removing python2-setuptools...
removing python2-packaging...
removing python2-six...
removing python2-pyparsing...
removing python2-babel...
removing python2-pytz...
removing python2-appdirs...
removing python2...
removing popt...
removing luajit-git...
removing lua52...
removing lua...
removing libssh...
removing libpcap...
removing libusb...
removing systemd...
removing libseccomp...
removing libnl...
removing libnetfilter_queue...
removing libnfnetlink...
removing libelf...
removing libedit...
removing kmod...
removing kbd...
removing iptables...
removing libnftnl...
removing libmnl...
removing iniparser...
removing hwids...
removing geoip...
removing geoip-database...
removing doxygen...
removing dbus...
removing cmake...
removing shared-mime-info...
removing libxml2...
removing libuv...
removing jsoncpp...
removing check...
removing capstone...
removing c-ares...
==> ERROR: Build failed, check /chroot/armv8/build/build